---
title: HTMLObjectElement.typeMustMatch
slug: Web/API/HTMLObjectElement/typeMustMatch
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - Property
  - Reference
  - typesMustMatch
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <code><strong>HTMLObjectElement.typeMustMatch</strong></code> property is a {{jsxref("Boolean")}} that reflects the {{htmlattrxref("typemustmatch", "object")}} attribute of the {{HTMLElement("object")}} element. It indicates if the resource linked by it must match the MIME type given by {{domxref("HTMLObjectElement.type")}} in order for this resource to be used.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>mustMatch</em> = <em>obj</em>.typeMustMatch;
<em>obj.</em>typeMustMatch = <em>mustMatch</em>;
</pre>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;object id="obj" data="move.swf" type="application/x-shockwave-flash" typemustmatch&gt;&lt;/object&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">let obj = document.getElementById('obj');
console.log(obj.typeMustMatch);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#dom-object-typemustmatch", "HTMLObjectElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>The W3C specification is a latest of a previous version of {{SpecName("HTML WHATWG")}}<br>
    First snapshot with this property.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLObjectElement.typeMustMatch")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface and this property: {{HTMLElement("object")}}.</li>
</ul>
